Endpoints小组件

生成端到端 URL

返回托管式端到端组件的 URL,用于在 iframe 中展示。 该组件在一次托管体验中完成完整流程——先是年龄验证,然后是由此触发的任何同意挑战——因此一次嵌入即可替代自行编排各个接口。提供你已掌握的年龄信号(`kuid`、`age` 或 `dateOfBirth`)可跳过组件自身的年龄采集步骤。

POST
/widget/generate-e2e-url
AuthorizationBearer <token>

In: header

Request Body

application/json

生成e2e URL请求

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

curl -X POST "https://example.com/widget/generate-e2e-url" \  -H "Content-Type: application/json" \  -d '{    "jurisdiction": "US-CA"  }'
{  "url": "https://family.k-id.com/widget",  "shortUrl": "https://family.k-id.com/s/12345678-1234-1234-1234-123456789012?pid=42&s=qr",  "widgetId": "12345678-1234-1234-1234-123456789012"}